* {
     font-family: 'Vazirmatn', Tahoma, sans-serif;
    font-weight: 600;
}

.container-animation-slide {
    display: flex;
    width: 90vw;
    margin: 0 auto;
    box-shadow: 0 20px 40px -10px rgba(0, 0, 0, 0.1);
    padding: 20px;
    border-radius: 6px;

}

.panel {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 70vh;
    border-radius: 50px;
    color: #fff;
    cursor: pointer;
    flex: 0.5;
    margin: 10px;
    position: relative;
    transition: flex 0.7s ease-in;
    overflow: hidden;
    border: 1px solid gray;
}

.panel.active {
    background-size: cover;

}

.panel h3 {
    font-size: 1rem !important;
    font-weight: 700;
    position: absolute;
    bottom: 20px;

    left: 20%;
    margin: 0;
    opacity: 0;
    color: #FFFFFF;
    background: #B23A3A;
    border-radius: 20px;
    padding: 8px 13px;
    writing-mode: vertical-rl;
    /* همیشه عمودی برای پنل غیرفعال */
    text-orientation: mixed;
    transform: rotate(180deg);
    white-space: nowrap;
    transition: opacity 0.3s ease-in 0.4s;
}

.panel.active {
    flex: 5;
}

.panel.active h3 {
    opacity: 1;
    writing-mode: horizontal-tb;
    /* فقط وقتی اکتیو شد افقی بشه */
    transform: rotate(0deg);
    transition: opacity 0.3s ease-in 0.4s, writing-mode 0.3s ease-in 0.4s, transform 0.3s ease-in 0.4s;
}

/* برای پنل غیرفعال متن رو همیشه نشون بده */
.panel:not(.active) h3 {
    opacity: 1;
    /* متن غیرفعال هم دیده بشه */
    writing-mode: vertical-rl;
    /* عمودی بمونه */
    transform: rotate(180deg);
}


@media (max-height: 600px) and (orientation: landscape) {
    .panel h3 {

        position: absolute;

        bottom: 5px;
        ;
        left: 5%;
        margin-bottom: 7px;
        padding: 6px;
    }

}

@media(max-width :480px) {
    .container-animation-slide {
        width: 100vw;
    }


    .panel h3 {

        position: absolute;
        font-size: 16px;
        font-weight: 400;
        text-wrap: wrap;
        margin-bottom: 7px;
        padding: 5px;
    }

    .panel:not(.active) h3 {

        position: absolute;
        left: 0;
        font-size: 12px !important;
        font-weight: 500;
        text-align: center;
        padding: 5px;


    }

}